package org.openxma.dsl.core.converter;

import org.eclipse.xtext.common.services.DefaultTerminalConverters;
import org.eclipse.xtext.conversion.IValueConverter;
import org.eclipse.xtext.conversion.ValueConverter;
import org.eclipse.xtext.conversion.ValueConverterException;
import org.eclipse.xtext.conversion.impl.AbstractToStringConverter;
import org.eclipse.xtext.parsetree.AbstractNode;

public class CoreDslConverter extends DefaultTerminalConverters {

	@ValueConverter(rule = "SINT")
	public IValueConverter<Integer> SINT() {
		return new AbstractToStringConverter<Integer>() {
			@Override
			protected Integer internalToValue(String string, AbstractNode node) throws ValueConverterException {
				return Integer.valueOf(string);
			}

		};
	}
}
